.header {
  padding: 0.875rem 0px;
  background: #ffffffb3;
  z-index: 999;
  /* backdrop-filter: blur(4px); */
  position: sticky;
  top: 0;
}
.menu_list {
  padding: 0;
  display: flex;
  list-style: none;
  align-items: center;
  justify-content: center;
  gap: 30px;
  margin: 0;
}
.menus {
  position: relative;
  transition: all 0.4s;
}
.menu {
  color: #1c1d24;
  text-transform: uppercase;
  font-size: 15px;
  font-weight: 500;
  line-height: 20px;
  cursor: pointer;
}
.mega-menu {
  display: none !important;
  position: absolute;
  left: -200px;
  top: 108%;
  width: 700px;
  background: white;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  display: flex;
  justify-content: space-between;
  z-index: 1000;
  transition: all 0.4s linear;
  transform: translateY(-100%);
  border-radius: 12px;
  opacity: 0;
}
.mega-menu-column {
  width: 30%;
}
.mega-menu-column h4 {
  font-size: 18px;
  margin-bottom: 10px;
}
.mega-menu-column a {
  display: block;
  color: #333;
  text-decoration: none;
  padding: 5px 0;
}
.logo,
.custom-logo-link {
  width: 170px;
  display: block;
}
.btn-demo {
  display: flex !important;
  align-items: center !important;
  justify-content: center;
  padding: 10px 30px !important;
  background: #ff5a65 !important;
  color: #fff !important;
  border-radius: 50px !important;
  transition: all 0.4s !important;
  width: fit-content !important;
}
.header .btn-demo {
  margin-left: auto;
}
a.btn-demo:hover {
  background: #db4550;
  color: #fff;
}

.offcanvas_menu {
  position: fixed;
  left: 0;
  padding: 20px;
  box-shadow: 0px 5px 30px rgba(0, 0, 0, 0.05);
  max-width: 100%;
  background: #fff;
  z-index: 999;
  width: 400px;
  top: 0;
  background-clip: padding-box;
  display: flex;
  flex-direction: column;
  height: 100vh;
  gap: 40px;
  transform: translateX(-100%);
  transition: all 0.4s linear;
  overflow-y: scroll;
}
.offcanvas_menu.active {
  transform: translateX(0%);
}
.ofcanva_menu_header {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.offcanvas_menu .menu_list {
  flex-direction: column;
  align-items: self-start;
  gap: 40px;
}
.offcanvas-bg {
  background-color: #030712;
  height: 100vh;
  left: 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 99;
  transition: all 0.4s linear;
  -webkit-transition: all 0.4s linear;
  -moz-transition: all 0.4s linear;
  -ms-transition: all 0.4s linear;
  -o-transition: all 0.4s linear;
  opacity: 0.5;
  display: none;
}
.navbar-toggler:hover .navbar-toggler-icon:after,
.navbar-toggler:hover .navbar-toggler-icon::before {
  width: 1.03125rem;
}
/* mega */
.nav-dropdown__grid {
  padding: 11.3833px;
  grid-column-gap: 11.3833px;
  grid-row-gap: 11.3833px;
  background-color: var(--color-light-tint);
  border-radius: 0.5em;
  flex-flow: column;
  display: flex;
  position: relative;
  transition: all 0.2s ease-in-out;
  width: 100%;
}
.nav-dropdown__grid-row {
  grid-column-gap: 11.3833px;
  grid-row-gap: 11.3833px;
  display: flex;
}
.nav-dropdown-tile {
  grid-column-gap: 0.75em;
  grid-row-gap: 0.75em;
  color: #212121;
  flex-flow: column;
  justify-content: space-between;
  width: 100%;
  height: 142px;
  padding: 0.75em;
  text-decoration: none;
  display: flex;
  position: relative;
  transition:
    width 0.45s cubic-bezier(0.35, 1.5, 0.6, 1),
    color 0.2s ease-in-out;
}
.nav-dropdown-tile__bg {
  background-color: #f3f3f3;
  border-radius: 0.25em;
  position: absolute;
  inset: 0;
}
.nav-dropdown-tile__text {
  grid-column-gap: 5px;
  grid-row-gap: 5px;
  flex-flow: column;
  max-width: 200px;
  display: flex;
  position: relative;
}
.nav-dropdown-tile__h {
  letter-spacing: -0.03em;
  font-size: 14px;
  font-weight: 700;
  line-height: 1.3;
  margin-bottom: 0;
}
.nav-dropdown-tile__p {
  letter-spacing: -0.01em;
  text-wrap: balance;
  font-size: 10px;
  line-height: 1.3;
}
.nav-dropdown-tile__arrow {
  justify-content: flex-end;
  display: flex;
  position: relative;
}
.arrow {
  background-color: #ff5a65;
  border-radius: 0.25em;
  flex-shrink: 0;
  width: 28px;
  height: 28px;
  position: relative;
  overflow: hidden;
  transition: all 0.2s ease-in-out;
}
.arrow__bg {
  background-color: #212121;
  border-radius: 0.25em;
  width: 0;
  height: 0;
  position: absolute;
  top: 15%;
  left: 50%;
  width: 0em;
  height: 0em;
  transition:
    all 0.6s cubic-bezier(0.625, 0.05, 0, 1),
    background-color 0.2s ease-in-out;
}
.arrow__box {
  color: #212121;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  display: flex;
  position: absolute;
  transform: translate(0%, 0%) rotate(-135deg);
  transition:
    all 0.6s cubic-bezier(0.625, 0.05, 0, 1),
    color 0.2s ease-in-out;
}
.arrow__box.is--duplicate {
  color: #ff5a65;
  bottom: 100%;
  left: -100%;
  top: 100%;
}
.arrow__svg {
  width: 14.2292px;
}

/* mega menu new */
.sub-menu-2 {
  border-radius: 0 0 20px 20px;
  margin: 0;
  width: 800px;
  position: absolute;
  z-index: 9999;
  top: 100%;
  left: -300px;
  align-items: start;
  box-shadow:
    0 100px 80px rgba(0, 0, 0, 0.07),
    0 41.7776px 33.4221px rgba(0, 0, 0, 0.0503198),
    0 22.3363px 17.869px rgba(0, 0, 0, 0.0417275),
    0 12.5216px 10.0172px rgba(0, 0, 0, 0.035),
    0 6.6501px 5.32008px rgba(0, 0, 0, 0.0282725),
    0 2.76726px 2.21381px rgba(0, 0, 0, 0.0196802);
  background: #fff;
  padding: 20px 30px;
  gap: 20px;
  border-radius: 20px;
  opacity: 0;
  transition: all 0.4s linear;
  visibility: hidden;
  max-height: 600px;
  overflow-y: scroll;
}
.sub-menu-2::-webkit-scrollbar {
  width: 6px;
}
.sub-menu-2::-webkit-scrollbar-thumb {
  background-color: rgba(0, 0, 0, 0.2);
  border-radius: 10px;
}
.sub-menu {
  border-radius: 0 0 20px 20px;
  margin: 0;
  width: 900px;
  position: absolute;
  z-index: 9999;
  top: 100%;
  left: -150px;
  align-items: start;
  box-shadow:
    0 100px 80px rgba(0, 0, 0, 0.07),
    0 41.7776px 33.4221px rgba(0, 0, 0, 0.0503198),
    0 22.3363px 17.869px rgba(0, 0, 0, 0.0417275),
    0 12.5216px 10.0172px rgba(0, 0, 0, 0.035),
    0 6.6501px 5.32008px rgba(0, 0, 0, 0.0282725),
    0 2.76726px 2.21381px rgba(0, 0, 0, 0.0196802);
  background: #fff;
  overflow-y: scroll;
  max-height: 85vh;
  scrollbar-width: none;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  padding: 20px 30px;
  gap: 20px;
  border-radius: 20px;
  opacity: 0;
  transition: all 0.4s linear;
  visibility: hidden;
}
.sub-menu-2 .sub_menu {
  padding-left: 0;
  margin-top: 15px;
  position: relative;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 15px;
}
.menu-item .meg_h {
  font-size: 15px;
  color: #ff5a65;
  font-weight: 600;
}
.sub_menu .menu_item {
  font-size: 13px;
  text-transform: capitalize;
  font-weight: 600;
}
.sub_menu .menu_item a {
  display: flex;
  align-items: center;
  gap: 10px;
  transition: all 0.4s linear;
  padding: 10px;
  border-radius: 5px;
}
.sub_menu .menu_item a:hover {
  background: #f8f8f8;
}
.sub_menu .menu_item svg {
  font-size: 18px;
}
.sub_menu .menu_item small {
  display: block;
  opacity: 0.8;
  margin-top: 6px;
  font-size: 12px;
  font-weight: 400;
}
.menu_text {
  width: calc(100% - 40px);
  display: block;
}
.mega-menu-parent:hover .sub-menu {
  display: grid !important;
  transition: all 0.4s linear;
  visibility: visible;
  opacity: 1;
}
.mega-menu-parent:hover .sub-menu-2 {
  display: block !important;
  transition: all 0.4s linear;
  visibility: visible;
  opacity: 1;
}

@media screen and (min-width: 992px) {
  .nav-dropdown-tile:hover {
    width: 125%;
  }
  .nav-dropdown-tile:hover .nav-dropdown-tile__bg {
    background-color: #e7e7e7;
  }
  .nav-dropdown-tile:hover .arrow .arrow__bg {
    left: calc(2.84583px * -1);
    top: calc(2.84583px * -1);
    width: calc(100% + (2.84583px * 2));
    height: calc(100% + (2.84583px * 2));
  }
  .nav-dropdown-tile:hover .arrow .arrow__box {
    transform: translate(100%, -100%) rotate(-135deg);
  }
}
@media screen and (max-width: 991px) {
  .header {
    z-index: 9999;
  }
  .navbar-toggler .navbar-toggler-icon {
    height: 0.125rem;
    position: relative;
    transition-property: transform;
    width: 1.375rem;
    background: #1c1d24;
  }
  .navbar-toggler-icon:before {
    top: -0.4375rem;
    transition:
      top 75ms ease 0.12s,
      opacity 75ms ease,
      width 0.15s ease-in-out;
    content: "";
    position: absolute;
    width: 1.375rem;
    height: 0.125rem;
    background: #1c1d24;
    left: 0;
  }
  .navbar-toggler-icon:after {
    bottom: -0.4375rem;
    right: 0;
    transition:
      top 75ms ease 0.12s,
      opacity 75ms ease,
      width 0.15s ease-in-out;
    content: "";
    position: absolute;
    width: 1.375rem;
    height: 0.125rem;
    background: #1c1d24;
  }
  .offcanvas-nav-btn {
    box-shadow: none !important;
    border: 1px solid #1c1d24 !important;
    padding: 10px !important;
    border-radius: 0.25rem !important;
  }
  .header .btn-demo {
    margin-left: 0;
  }
  .nav-dropdown__grid-row {
    flex-direction: column;
  }
}
